# IGListAdapterDelegate

    @protocol IGListAdapterDelegate <NSObject>

Conform to `IGListAdapterDelegate` to receive display events for objects in a list.

- `-listAdapter:willDisplayObject:atIndex:`

  Notifies the delegate that a list object is about to be displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(IGListAdapter *)listAdapter
          willDisplayObject:(id)object
                    atIndex:(NSInteger)index;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter!, willDisplay object: Any!, at index: Int)

  #### Parameters

  `listAdapter` | The list adapter sending this information.
  `object` | The object that will display.
  `index` | The index of the object in the list.

- `-listAdapter:didEndDisplayingObject:atIndex:`

  Notifies the delegate that a list object is no longer being displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(IGListAdapter *)listAdapter
          didEndDisplayingObject:(id)object
                         atIndex:(NSInteger)index;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter!, didEndDisplaying object: Any!, at index: Int)

  #### Parameters

  `listAdapter` | The list adapter sending this information.
  `object` | The object that ended display.
  `index` | The index of the object in the list.

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.